#include "MarineMicroBehaviour.h"


MarineMicroBehaviour::MarineMicroBehaviour( UnitModel* sub , UnitManager* u)
{

}


//************************************
// Method:    execute
// FullName:  Terran_MarineMicroBehaviour::execute
// Access:    virtual public 
// Returns:   void
// Comments:  none
//************************************
bool MarineMicroBehaviour::execute()
{
	return false;
}

//************************************
// Method:    nudge
// FullName:  Terran_MarineMicroBehaviour::nudge
// Access:    virtual public 
// Returns:   void
// Comments:  none
//************************************
void MarineMicroBehaviour::nudge()
{


}

//************************************
// Method:    bestPointClosestToc
// FullName:  Terran_MarineMicroBehaviour::bestPointClosestTo
// Access:    public 
// Returns:   BWAPI::Position
// Parameter: BWAPI::Position p
// Parameter: int r
// Comments:  none
//************************************
BWAPI::Position MarineMicroBehaviour::bestPointClosestTo( BWAPI::Position p, int r )
{
	return Positions::None;
}


